/* 
 * Distributed as part of jautostart 1.0.0
 * 
 * Copyright (C) 2008 QArks.com
 *
 * Author: Pierre Meyer <support@qarks.com>
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2.1, as 
 * published by the Free Software Foundation.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
 * USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software; see the file LICENSE.  If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#include "java_autostart.h"
#include "RegistryKey.hpp"
using namespace JetByteTools;


JNIEXPORT jboolean JNICALL Java_com_psmworks_util_AutoStart_enableAutoStart(JNIEnv *pEnv, jclass jwininet, jstring jkey, jstring jpath) {

	jboolean result = true;
	const char *key = pEnv->GetStringUTFChars(jkey, 0);
	const char *path = pEnv->GetStringUTFChars(jpath, 0);
	try{
		CRegistryKey(HKEY_CURRENT_USER, _T("SOFTWARE\\MICROSOFT\\WINDOWS\\CURRENTVERSION\\RUN")).SetValue(key, path);
	}
	catch (CRegistryKey::Exception &e){
		result = false;
	}
	pEnv->ReleaseStringUTFChars(jpath, path);	
	pEnv->ReleaseStringUTFChars(jkey, key);	
	return result;
}

JNIEXPORT jboolean JNICALL Java_com_psmworks_util_AutoStart_disableAutoStart(JNIEnv *pEnv, jclass jwininet, jstring jkey ) {

	jboolean result = true;
	const char *key = pEnv->GetStringUTFChars(jkey, 0);	
	try{
		CRegistryKey(HKEY_CURRENT_USER, _T("SOFTWARE\\MICROSOFT\\WINDOWS\\CURRENTVERSION\\RUN")).DeleteValue(key);
	}
	catch (CRegistryKey::Exception &e){
		result = false;
	}
	pEnv->ReleaseStringUTFChars(jkey, key);	
	return result;

}

